Bug 626859 - New Address treated different in C++ and Java
Summary: New Address treated different in C++ and Java
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Rajith Attapattu
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-24 15:04 UTC by Jianhua Wang
Modified: 2013-02-25 11:06 UTC (History)
2 users (show)

Fixed In Version: 0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 11:06:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-2844 None None None Never
Apache JIRA QPID-2845 None None None Never

Description Jianhua Wang 2010-08-24 15:04:57 UTC
Description of problem:

RMG 1.3 beta handles new address different between C++ and Java client API

Version-Release number of selected component (if applicable):

RMG 1.3 beta

How reproducible:

The following address work with C++ but not Java

MRKT;{link:{x-declare:{arguments:{qpid.last_value_queue:1}}, x-bindings:[{key:NYSE.#},{key:NASDAQ.#},{key:'CNTL.#'}]}}

The following address work with Java but not Java

MRKT;{link:{x-declare:{'qpid.last_value_queue':1}, x-bindings:[{key:'NYSE.#'},{key:'NASDAQ.#'},{key:'CNTL.#'}]}}

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Gordon Sim 2010-08-24 15:12:15 UTC
The java client should use a nested arguments map rather than trying to interpret arguments itself. This will align it with the python and c++ clients as well as ensuring that arbitrary arguments can be passed through as needed.

Comment 2 Rajith Attapattu 2010-09-08 21:55:05 UTC
There are two issues from the java client side.
1. It just ignores arguments option specified under x-declare.

2. The JMS client does not use the main exchange as the default in case
an exchange is not included in the x-bindings.

Comment 3 Rajith Attapattu 2010-09-08 22:57:47 UTC
(In reply to comment #2)
> There are two issues from the java client side.
> 1. It just ignores arguments option specified under x-declare.
> 
This is tracked via QPID-2845

> 2. The JMS client does not use the main exchange as the default in case
> an exchange is not included in the x-bindings.
This is tracked via QPID-2844


Note You need to log in before you can comment on or make changes to this bug.